Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-1160

Overview

Vulnerability Score 5.1 5.1
CVE Id CVE-2005-1160
Last Modified 07 Mar 2011 09:21:10
Published 02 May 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity HIGH
Authentication NONE

CVE-2005-1160

Summary

The privileged "chrome" UI code in Firefox before 1.0.3 and Mozilla Suite before 1.7.7 allows remote attackers to gain privileges by overriding certain properties or methods of DOM nodes, as demonstrated using multiple attacks involving the eval function or the Script object.

Vulnerable Systems

Application

  • Mozilla 1.3

  • Mozilla 1.4

  • Mozilla 1.4.1

  • Mozilla 1.5

  • Mozilla 1.5.1

  • Mozilla 1.6

  • Mozilla 1.7

  • Mozilla 1.7.1

  • Mozilla 1.7.2

  • Mozilla 1.7.3

  • Mozilla 1.7.5

  • Mozilla 1.7.6

  • Mozilla Firefox 0.10

  • Mozilla Firefox 0.10.1

  • Mozilla Firefox 0.8

  • Mozilla Firefox 0.9

  • Mozilla Firefox 0.9.1

  • Mozilla Firefox 0.9.2

  • Mozilla Firefox 0.9.3

  • Mozilla Firefox 1.0

  • Mozilla Firefox 1.0.1

  • Mozilla Firefox 1.0.2


References

CONFIRM - https://bugzilla.mozilla.org/show_bug.cgi?id=289961

CONFIRM - https://bugzilla.mozilla.org/show_bug.cgi?id=289083

CONFIRM - https://bugzilla.mozilla.org/show_bug.cgi?id=289074

REDHAT - RHSA-2005:386

REDHAT - RHSA-2005:383

GENTOO - GLSA-200504-18

SECUNIA - 14992

SECUNIA - 14938

SUSE - SUSE-SA:2006:004

CONFIRM - http://www.mozilla.org/security/announce/mfsa2005-41.html

BID - 15495

BID - 13233

REDHAT - RHSA-2005:601

REDHAT - RHSA-2005:384

SECUNIA - 19823

SCO - SCOSA-2005.49

SUSE - SUSE-SA:2006:022


Last Updated: 27 May 2016 11:02:28